//---------------------------------------------------------------------------------------
// Main page of Lomse API documentation
//---------------------------------------------------------------------------------------
/**

@mainpage Overview

@attention This documentation is accurate and updated but is not completed. This is a work in progress.

<p>&nbsp;</p>

Lomse is a free open source library for adding capabilities to any program for rendering, editing and playing back music scores. It is written in C++ and it is platform independent. Lomse stands for <b>"LenMus Open Music Score Edition Library"</b>.

Please be aware that Lomse is a work in progress, not having yet reached version 1.0. This means that the library is operative but have some limitations.  You are welcome to join this non-commercial project and collaborate in its development.

## License

Lomse is distributed under the MIT license, a permissive open source license to allow Lomse to be used in any projects, whether open source or proprietary. The MIT license does not require that source code be distributed at all and can be safely used in proprietary projects. This license is also a GPL compatible license, so you can use Lomse in Open Source GPL licensed projects or in projects using other open source licenses (see @ref page-library-license).

The tutorials and the code samples included in the library and the code examples included in this API documentation are intended to show how the Lomse library can be used and so, intended to be copied. Therefore, they are released into the public domain (see @ref page-tutorials-license).


## Lomse usage

If you are new to Lomse, @b please read the @subpage page-introduction and then read the topic or topics you are interested in:

- @subpage page-render-overview
- @subpage page-render-svg
- @subpage page-printing
- @subpage page-edit-overview
- @subpage document-export
- @subpage page-sound-generation
- @subpage page-tasks
- @subpage page-api-internal-model


## Other topics

- @subpage page-file-formats
- @subpage page-coordinates-viewport
- @subpage page-callbacks
- @subpage page-events
- @subpage page-logging


*/
