# Lomse tutorials

**Target audience:** People interested in learning how to use the Lomse library for their projects.

These tutorials provide a quick hands-on introduction to using lomse in different platforms. Of course, it is assumed that you have good knowledge of C++ and of the chosen platform, although they could serve also as a quick introduction to programing in that platform.
If you would like to contribute with more tutorials or by adapting these tutorials for other platforms or frameworks, you are welcome! Please open an issue or send a Pull Request. Thank you!

There are four tutorials:
- Tutorial 1. Displaying a music score. 
- Tutorial-2. Interacting with the score. 
- Tutorial-3. Score playback.
- Tutorial-4. Visual tracking during playback.

They are adapted for the following platforms / frameworks:
- For [wxWidgets framework](https://www.wxwidgets.org/) (platform independent). Suffix **_wx_**, e.g.: *tutorial-1-wx*.
- For [Qt framework](https://www.qt.io/) (platform independent). Suffix **_qt_**, e.g.: *tutorial-1-qt*.
- For Linux with X11. Suffix **_x11_**, e.g.: *tutorial-1-x11*.
- For Microsoft Windows. Suffix **_win_**, e.g.: *tutorial-1-win*.

I've only tested these tutorials in Linux and Windows. For Apple and other
platforms they probably will work, perhaps with a few minor of changes.

Folder **wxMidi** contains, for your convenience, the sources of the [wxMidi component](https://github.com/lenmus/wxmidi). wxMidi is just a wrapper for using MIDI in wxWidgets applications. These sources are used in some of the tutorials.










































